Summary:        Qt based XMPP messenger
Name:           squawk
# All files are GPL-3.0-or-later except
# external/simpleCrypt/simplecrypt.h
# external/simpleCrypt/simplecrypt.cpp
# which are under BSD-3-clause
License:        GPL-3.0-or-later AND BSD-3-Clause

Version:        0.2.3
Release:        1%{?dist}

URL:            https://git.macaw.me/blue/squawk
Source:         %{url}/archive/%{version}.tar.gz
Patch:          appdata.patch
Patch:          internal-libs.patch
Patch:          translation.patch
# Original license did not have wording change
# https://wiki.qt.io/index.php?title=Simple_encryption&action=history
Patch:          license.patch

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  gcc-c++
BuildRequires:  gtest-devel
BuildRequires:  ImageMagick-devel
BuildRequires:  kf5-kconfig-devel
BuildRequires:  kf5-kio-devel
BuildRequires:  kf5-kwallet-devel
BuildRequires:  libappstream-glib
BuildRequires:  lmdb-devel
BuildRequires:  lmdbal-devel
BuildRequires:  make
BuildRequires:  qt5-linguist
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qxmpp-qt5-devel

Requires:       hicolor-icon-theme

%global _description %{expand:
A compact XMPP desktop messenger.}

%description
%_description

%prep
%autosetup -n squawk -p 1
sed -i '/FILES README.md/d' CMakeLists.txt
sed -i '/FILES LICENSE.md/d' CMakeLists.txt

%build
%cmake -DSYSTEM_QXMPP=True \
       -DSYSTEM_LMDBAL=True \
       -DWITH_KWALLET=True \
       -DWITH_KIO=True \
       -DWITH_KCONFIG=True \
       -DWITH_OMEMO=False

%cmake_build

%install
%cmake_install

%find_lang %{name} --with-qt

%check
# Run tests
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/macaw.me.%{name}.appdata.xml

%files -f %{name}.lang
%license LICENSE.md
%doc README.md
%doc CHANGELOG.md
%{_bindir}/squawk
%{_libdir}/%{name}/libkwalletWrapper.so
%{_libdir}/%{name}/libopenFileManagerWindowJob.so
%{_libdir}/%{name}/libcolorSchemeTools.so
%{_datadir}/applications/%{name}.desktop
%{_metainfodir}/macaw.me.%{name}.appdata.xml
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/*.svg

%changelog
* Sun Oct 06 2024 Benson Muite <benson_muite@emailplus.org> - 0.11.1-1
- Initial package
